Subject: Re: linux-next: Tree for Feb 18 (sound/soc/codecs/wm5110.c)

From: Charles Keepax <[email-masked]>
Date: Tue, 18 Feb 2020 13:09:25 +0000

On Tue, Feb 18, 2020 at 11:31:16AM +0000, Mark Brown wrote:
> On Tue, Feb 18, 2020 at 10:09:59AM +0000, Charles Keepax wrote:
> > 2) We could update the machine drivers to a depends on and make
> > the CODEC symbols manually selectable. I guess this also has the
> > advantages that it would be necessary for the simple card stuff
> > that seems to be everyones first choice for machine drivers these
> > days.
> 
> That's not good, it means people have to know exactly what CODECs and
> DAIs are on their board to even see the config option.
> 
> > Mark do you have any strong feelings on this I am leaning towards
> > 2?
> 
> Why not just continue adding the relevant dependencies to the machine
> drivers like we've always done?

Hmm... a good point. The machine drivers are already depending
on MFD_ARIZONA, if we swapped that for the actual CODECs
involved I guess that should fix the situation as well.

I will fire out a patch shortly.

Thanks,
Charles